=== eg/Makefile ===
# just for cleaning at the moment!

include ../.Make.conf

build:
	@echo examples can be run directly, no need to run make
clean:
	bk-clean
#	find . -type f \( -perm -u+x -o -perm -g+x -o -perm -o+x \) | xargs file | grep ELF | sed 's/:.*//' | xargs rm -f
