=== eg/cow/Makefile ===
cow.so: cow.c
	$(CC) -Wall -o$@ -s -shared -ldl $^
